## org.eclipse.emf.common.command
Class AbortExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.emf.common.command.AbortExecutionException

All Implemented Interfaces:
  java.io.Serializable

    public class AbortExecutionException

extends java.lang.RuntimeException

An exception thrown when a command's `execution` is to be silently aborted. This is a signal to the command stack to behave as if `canExecute` returned `false`. Only a command that has not changed the state of the model should be aborted in this way.

See Also:
  Serialized Form

Constructor Summary
`AbortExecutionException()` Constructs an new instance.
`AbortExecutionException(java.lang.String message)` Constructs a new instance with the given message.
`AbortExecutionException(java.lang.String message, java.lang.Throwable cause)` Constructs a new instance with the given message and cause.
`AbortExecutionException(java.lang.Throwable cause)` Constructs a new instance with the given message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbortExecutionException

    public AbortExecutionException()

  Constructs an new instance.

### AbortExecutionException

    public AbortExecutionException(java.lang.String message,
                                   java.lang.Throwable cause)

  Constructs a new instance with the given message and cause.

  Parameters:
    `message` - a description of the reason for aborting.
    `cause` - an indication of why execution was aborted.

### AbortExecutionException

    public AbortExecutionException(java.lang.String message)

  Constructs a new instance with the given message.

  Parameters:
    `message` - a description of the reason for aborting.

### AbortExecutionException

    public AbortExecutionException(java.lang.Throwable cause)

  Constructs a new instance with the given message and cause.

  Parameters:
    `cause` - an indication of why execution was aborted.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.